Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 708834

Summary: games-board/pioneers-15.3-r1 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo Games <games>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=636342
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
games-board:pioneers-15.3-r1:20200209-151352.log
logs.tbz2
temp.tbz2

Description Toralf Förster gentoo-dev 2020-02-09 15:16:49 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -I./client -I./client/common -I./common -I./common -I/usr/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid     -DDATADIR=\""/usr/share"\" -DTHEMEDIR=\""/usr/share/games/pioneers/themes"\" -DLOCALEDIR=\""/usr/share/locale"\" -DPIONEERS_DIR_DEFAULT=\""/usr/share/games/pioneers"\" -DPIONEERS_SERVER_CONSOLE_PROGRAM_NAME=\""pioneers-server-console"\" -DPIONEERS_SERVER_GTK_PROGRAM_NAME=\""pioneers-server-gtk"\" -DPIONEERS_CLIENT_GTK_PROGRAM_NAME=\""pioneers"\" -DPIONEERS_AI_PROGRAM_NAME=\""pioneersai"\" -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include  -DINTEGRATE_GENETIC_ALGORITHM  -Wl,--as-needed -O2 -pipe -march=native -fno-common -c -o client/ai/pioneersai-greedy.o `test -f 'client/ai/greedy.c' || echo './'`client/ai/greedy.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -I./client -I./client/common -I./common -I./common -I/usr/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid     -DDATADIR=\""/usr/share"\" -DTHEMEDIR=\""/usr/share/games/pioneers/themes"\" -DLOCALEDIR=\""/usr/share/locale"\" -DPIONEERS_DIR_DEFAULT=\""/usr/share/games/pioneers"\" -DPIONEERS_SERVER_CONSOLE_PROGRAM_NAME=\""pioneers-server-console"\" -DPIONEERS_SERVER_GTK_PROGRAM_NAME=\""pioneers-server-gtk"\" -DPIONEERS_CLIENT_GTK_PROGRAM_NAME=\""pioneers"\" -DPIONEERS_AI_PROGRAM_NAME=\""pioneersai"\" -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include  -DINTEGRATE_GENETIC_ALGORITHM  -Wl,--as-needed -O2 -pipe -march=native -fno-common -c -o client/ai/pioneersai-lobbybot.o `test -f 'client/ai/lobbybot.c' || echo './'`client/ai/lobbybot.c
/bin/sh ./libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -Wl,--as-needed -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -o pioneersai client/ai/pioneersai-ai.o client/ai/pioneersai-genetic.o client/ai/pioneersai-greedy.o client/ai/pioneersai-lobbybot.o libpioneersclient.a libpioneers.a ./common/libpioneers_a-driver.o -lglib-2.0  -lgio-2.0 -lgobject-2.0 -lglib-2.0  -lgobject-2.0 -lglib-2.0  -lm
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wl,-O1 -Wl,--defsym=__gentoo_check_ldflags__=0 -o pioneersai client/ai/pioneersai-ai.o client/ai/pioneersai-genetic.o client/ai/pioneersai-greedy.o client/ai/pioneersai-lobbybot.o ./common/libpioneers_a-driver.o  -Wl,--as-needed libpioneersclient.a libpioneers.a -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lm
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: client/ai/pioneersai-genetic.o:(.bss+0x0): multiple definition of `default_player_style'; client/ai/pioneersai-ai.o:(.bss+0x48): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: client/ai/pioneersai-greedy.o:(.bss+0x0): multiple definition of `default_player_style'; client/ai/pioneersai-ai.o:(.bss+0x48): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-libressl-20200202-211607

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 09 Feb 2020 14:27:17 +0000

emerge -qpvO games-board/pioneers
[ebuild  N    ] games-board/pioneers-15.3-r1  USE="nls -dedicated -help"
Comment 1 Toralf Förster gentoo-dev 2020-02-09 15:16:52 UTC
Created attachment 613066 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-09 15:16:55 UTC
Created attachment 613068 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-09 15:16:58 UTC
Created attachment 613070 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-09 15:17:01 UTC
Created attachment 613072 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-09 15:17:04 UTC
Created attachment 613074 [details]
games-board:pioneers-15.3-r1:20200209-151352.log
Comment 6 Toralf Förster gentoo-dev 2020-02-09 15:17:06 UTC
Created attachment 613076 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-09 15:17:09 UTC
Created attachment 613078 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-07-02 00:03:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55672a7ee7ce86981de4cfaaac2899083162a112

commit 55672a7ee7ce86981de4cfaaac2899083162a112
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-07-02 00:00:46 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-07-02 00:03:09 +0000

    games-board/pioneers: 15.5 version bump, fix build w/ -fno-common
    
    Bug: https://bugs.gentoo.org/728984
    Closes: https://bugs.gentoo.org/708834
    Closes: https://bugs.gentoo.org/636342
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 games-board/pioneers/Manifest                      |  1 +
 .../pioneers/files/pioneers-15.5-fno-common.patch  | 12 ++++++
 games-board/pioneers/pioneers-15.5.ebuild          | 46 ++++++++++++++++++++++
 3 files changed, 59 insertions(+)